]> git.sur5r.net Git - bacula/bacula/commitdiff
ebl Add small test to check trace after a segfault
authorEric Bollengier <eric@eb.homelinux.org>
Tue, 11 Nov 2008 14:34:46 +0000 (14:34 +0000)
committerEric Bollengier <eric@eb.homelinux.org>
Tue, 11 Nov 2008 14:34:46 +0000 (14:34 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@8035 91ce42f0-d328-0410-95d8-f526ca767f89

regress/tests/debug-test [new file with mode: 0755]

diff --git a/regress/tests/debug-test b/regress/tests/debug-test
new file mode 100755 (executable)
index 0000000..fd4de2e
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Attempt to backup and restore a file with the bpipe plugin
+#
+TestName="debug-test"
+JobName=pluginTest
+. scripts/functions
+
+scripts/cleanup
+scripts/copy-plugin-confs
+echo "${cwd}/build/po" >${cwd}/tmp/file-list
+rm -f ${cwd}/working/*trace*
+
+start_test
+
+cat <<END_OF_DATA >${cwd}/tmp/bconcmds
+@output /dev/null
+messages
+@$out ${cwd}/tmp/log1.out
+label storage=File1 volume=TestVolume001
+update volume=TestVolume001 MaxVolBytes=1000
+run job=$JobName storage=File1 yes
+@sleep 5
+messages
+quit
+END_OF_DATA
+
+run_bacula
+
+killall -SEGV bacula-dir bacula-sd bacula-fd
+
+grep $JobName working/*dir*bactrace > /dev/null 2>&1
+dstat=$?
+grep bpipe-fd.so working/*fd*bactrace > /dev/null 2>&1
+dstat=`expr $dstat + $?`
+grep $JobName working/*fd*bactrace > /dev/null 2>&1
+dstat=`expr $dstat + $?`
+
+bstat=0
+rstat=0
+
+stop_bacula
+
+end_test